project/models/shop.py
from .. import db

class Item(db.Model):
    __tablename__ = 'item'
    id = db.Column(db.Integer, primary_key=True, autoincrement=True)
    name = db.Column(db.String(80), unique=True)
    price = db.Column(db.Float)
    item_type = db.Column(db.String(100))
    image = db.Column(db.String(80))
    preview_image = db.Column(db.String(80))

    def __init__(self, name, price, item_type, image, preview_image):
        self.name = name
        self.price = price
        self.item_type = item_type
        self.image = image
        self.preview_image = preview_image

    def __repr__(self):
        return '<Item : %r, Price: %f/KG, item_type: %r>' % (self.name,self.price,self.item_type)


class Order(db.Model):
    __tablename__ = 'order'
    id = db.Column(db.Integer, primary_key=True, autoincrement=True)
    user_id = db.Column(db.Integer, db.ForeignKey('user.id'), nullable=False)
    tran_code = db.Column(db.String(100))
    status = db.Column(db.String(50), nullable=False)
    payment_method_id = db.Column(db.Integer, db.ForeignKey('payment_method.id'), nullable=False)
    tran_option_id = db.Column(db.Integer, db.ForeignKey('tran_option.id'), nullable=False)
    address_id = db.Column(db.Integer, db.ForeignKey('address.id'), nullable=False)
    total = db.Column(db.Float, nullable=False)
    date = db.Column(db.String(50))
    payment_method = db.relationship('PaymentMethod', backref='order')
    tran_option = db.relationship('TranOption', backref='order')
    address = db.relationship('Address', backref='order')
    items = db.relationship('OrderItem', lazy='dynamic', backref='order')

    def __init__(self, user_id, payment_method_id, tran_option_id, address_id, total, date, tran_code=None, status="packing"):
        self.user_id = user_id
        self.tran_code = tran_code
        self.payment_method_id = payment_method_id
        self.status = status
        self.tran_option_id = tran_option_id
        self.address_id = address_id
        self.total = total
        self.date = date

    def __repr__(self):
        return '<New order for : %r, payment_method: %r, address : %r>' % (self.user_id, self.payment_method, self.address)


class OrderItem(db.Model):
    __tablename__ = 'order_item'
    order_id = db.Column(db.Integer, db.ForeignKey('order.id'), primary_key=True)
    item_id = db.Column(db.Integer,db.ForeignKey('item.id'), primary_key=True)
    amount = db.Column(db.Integer, nullable=False)
    # item = db.relationship('Item', lazy='dynamic', backref='order_item')

    def __init__(self, item_id, amount):
        self.item_id = item_id
        self.amount = amount


    # def __repr__(self):
    #     return '<Item : %r, Price: %f/KG, item_type: %r>' % (self.name,self.price,self.item_type)

class TranOption(db.Model):
    __tablename__ = 'tran_option'
    id = db.Column(db.Integer, primary_key=True,  autoincrement=True)
    desc = db.Column(db.String(300), nullable=False)
    price = db.Column(db.Integer, nullable=False)

    def __init__(self, desc, price):
        self.desc = desc or None
        self.price = price
    
    def get_data(self):
        return {
            "desc": self.desc, 
            "price": self.price
        }


class PaymentMethod(db.Model):
    __tablename__ = 'payment_method'
    id = db.Column(db.Integer, primary_key=True,  autoincrement=True)
    name = db.Column(db.String(50), primary_key=True, nullable=False)
    desc = db.Column(db.String(300))
    image = db.Column(db.String(100), nullable=False)

    def __init__(self, name, image, desc=None):
        self.name = name
        self.desc = desc
        self.image = image

project/routes/admin.py
from functools import wraps
from flask_login import current_user
from flask import Blueprint,request, redirect, url_for, session
from project.services.admin import AdminService
admin = Blueprint('admin', __name__)

def is_admin(view):
    @wraps(view)
    def wrapped_view(**kwargs):
        if current_user.is_authenticated:
            if current_user.is_admin() == False:
                return redirect(url_for('error.no_permission'))
            else:
                return view(**kwargs)
        else:
            return redirect(url_for('user.login'))
    return wrapped_view

#for admin get all user in database
@admin.route('/chat')
@is_admin
def admin_chat():
    return AdminService.get_chat_list()

#for admin to add new product
@admin.route('/add_new_product', methods=["POST"])
@is_admin
def add_new_product():
    return AdminService.add_new_product(request)

#for admin toget all order page
@admin.route('/order', methods=["GET"])
@is_admin
def order_list():
    return AdminService.get_all_orders()

#for admin to update order data like status or tran_code
@admin.route('/order/update', methods=["POST"])
@is_admin
def update_order():
    return AdminService.update_delivery_status(request)

project/routes/shop_list.py
from flask_login import login_required, current_user

from flask import Blueprint,request, render_template, session, redirect, url_for
from ..services.shop_list import ShopListService
from ..services.chat import ChatService

shop_list = Blueprint('shop_list', __name__)

#get item by categories ['vegetables','fruits','seasonal']
@shop_list.route('/<item_type>', methods=["GET"])
@login_required
def category_shop_list(item_type):
    if item_type in ['vegetables','fruits','seasonal']:
        return ShopListService.get_by_category(item_type)
    
#to get basket page with your item
@shop_list.route('/basket', methods=["GET"])
@login_required
def basket():
    try:
        return render_template('shop/basket.html', cart=session['cart'], total_cost=session['total_cost'])
    except:
        return render_template('shop/basket.html', cart={}, total_cost=0)

#for update your item in basket(replace)
@shop_list.route('/basket/update', methods=["POST"])
@login_required
def update_basket():
    return ShopListService.update_cart(request)

#confirm your basket and clear if you cancle some item
@shop_list.route('/basket/confirm', methods=["GET","POST"])
@login_required
def confirm_order():
    if request.method == "GET":
        try:
            return ShopListService.get_confirmation()
        except Exception as e: 
            print(e)
            return redirect(url_for('shop_list.category_shop_list',item_type="vegetables"))
    else:
        return ShopListService.confirm_order(request)


@shop_list.route('/complete', methods=["GET"])
@login_required
def order_success():
    return render_template('complete.html')



@shop_list.route('/address/form', methods=["GET"])
@login_required
def shipaddressform():
    return render_template('shop/shipping-form.html')

#purchase after select payment method
@shop_list.route('/payment', methods=["GET","POST"])
@login_required
def payment():
    if request.method == 'POST':
        return ShopListService.purchase(request)
    else:
        return ShopListService.get_payment()

#get all user order
@shop_list.route('/bill', methods=["GET"])
@login_required
def bill():
    return ShopListService.get_order_list()

#get all delivery status
@shop_list.route('/delivery', methods=["GET"])
@login_required
def deli():
    return ShopListService.get_delivery_status()

#view 1 item as full page
@shop_list.route('/<item_type>/<int:item_id>', methods=["GET"])
@login_required
def get_item_by_id(item_type,item_id):
    return ShopListService.get_by_id(item_id)

#add item to basket
@shop_list.route('/add_to_cart', methods=["POST"])
@login_required
def add_to_cart():
    return ShopListService.add_to_cart(request)

project/routes/user.py
from flask import Blueprint,request, render_template, redirect, url_for, session, current_app
from flask_login import login_required, current_user
from ..services.user import UserService

import os

# @socketio.on('my event')
# def handle_my_custom_event(json):
#     print('received json: ' + str(json))

user = Blueprint('user', __name__)

@user.route('/')
def home():
    return render_template("home.html")


@user.route('/register', methods=["GET","POST"])
def register():
    if request.method == 'POST':
        return UserService.register(request)
    elif request.method == 'GET':
        if current_user.is_authenticated:
            return redirect(url_for('user.home'))
        else:
            return render_template("user/register.html")


@user.route('/login', methods=["GET","POST"])
def login():
    if request.method == 'POST':
        return UserService.login(request)
    elif request.method == 'GET':
        if current_user.is_authenticated:
            return redirect(url_for('user.home'))
        else:
            return render_template("user/login.html")


@user.route('/profile', methods=["GET"])
@login_required
def profile():
    if request.method == 'GET':
        return render_template("user/profile.html")


@user.route('/update_profile', methods=["POST"])
@login_required
def update_profile():
    return UserService.update_profile(request)

@user.route('/update_profile/image', methods=["POST"])
@login_required
def upload_image_profile():
    if request.method == 'POST':
        return UserService.update_profile_image(request)


@user.route('/address/add', methods=["POST"])
@login_required
def add_address():
    if request.method == 'POST':
        return UserService.add_address(request)


@user.route('/logout', methods=["POST"])
@login_required
def logout():
    if request.method == 'POST':
        return UserService.logout()

project/templates/shop/basket.html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Oganikku</title>
    <!-- CSS only -->
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  </head>
  <style>
    .grid-container {
      display: grid;
      grid-template-columns: 18% 82%;
    }
    .card-product {
      width: 350px;
      height: 450px;
      background-color: white;
      margin-left: 5%;
      border-radius: 15px;
    }
    .content-section {
      text-align: center;
    }
    .bg {
      background: url(static/images/testProduct.jpg);
    }
    .addCard-btn{
        margin-top:10%;
        width: 150px;
        height: 38px;
        background-color: white;
        color:black;
        text-align: center;
        border-radius:20px;
        padding-top: 5px;
    }
    input {
        width: 100%;
        height: 50px;
        border-radius: 18px;
        border-top-style: hidden;
        border-right-style: hidden;
        border-left-style: hidden;
        border-bottom-style: hidden;
        padding-left: 12px;
        color: #7B7B7B;
      }
    .head-content{
   
        width: 100%;
        height: 180px;
        display: flex;
        padding-top:4%;
        justify-content: space-between;
    }
    .content{
        font-family: Century Gothic;
        font-weight: bold;
        color: #7B7B7B;
        margin-left:40px;

    }

    table {
        width: 100%; 
    }
    #txt{
        font-family: Century Gothic;
        font-weight: bold;
        color: #7B7B7B;
        font-weight: bold;
    }
    th{
         width:25%;
         text-align: center;
    }
    .img_product{
        border-radius: 15px;
        width: 200px;
        height: 150px;
        margin-left: auto;
        margin-right: auto;
    }
    td{
        padding-top:10px;
        text-align: center;

    }
    tr{
        margin-top:5%;
    }
  </style>
  <body style="background-color: #ECECEC;user-select: none;">
    <div class="grid-container">
      <div>{% include 'sidebar.html' %}</div>

      <div style="height: min-content;padding-left: 5%;">
    
        <div class="head-content">
        <div>
            <span style="font-family:Century Gothic;font-weight: bold;font-size:40px;color:#707070;"> 
              Basket</span>
              <img src="{{url_for('static', filename = 'images/basket.png')}}"
               alt="" srcset="" style="vertical-align: inherit;margin-left: -7%;width: 80px;height: 70px;">
        </div>
        {% if cart != {} %}
        <div style="padding-right: 10%;padding-top: 51px;">
            Purchase   
            <span
            onclick="payment()"
            style="background-color: white; padding: 9px; border-radius: 10px;margin-left: 10px;cursor: pointer;"
          >
            <img
              src="{{url_for('static', filename = 'images/right-arrow.png')}}"
              alt=""
              srcset=""
              style="width: 21px; height: 13px;"

            />
          </span>
        </div>
        {% endif %}
      </div>

      {% if cart != {} %}
      <div class="table-content" style="margin-bottom:10%;">
        <table>
            <tr>
              <th>PRODUCT</th>
              <th>PRICE</th>
              <th>QTY</th>
              <th>TOTAL</th>
            </tr>
            {% for item in cart.keys() %}
           
            <tr>
              <td>
                <img src="{{url_for('static', filename = 'images/preview_product/'+cart[item].preview_image)}}" alt="" srcset="" class="img_product">
              </td>
              <td >
                <span id="{{ item }}_pp">{{ cart[item].pp }}</span>฿/KG.
              </td>
              <td>
                <div style="display: flex; justify-content: center">
                    <span
                      style="
                        font-size: 20px;
                        background-color: black;
                        color: white;
                        border-radius: 50px;
                        width: 37px;
                        height:36px;
                        text-align: center;
                        cursor: pointer;
                      "
                      onclick="incrementValue('{{ item }}')"
                    >
                      +
                    </span>


                    <span style="font-size: 20px;padding-left:10px;padding-right:10px;" id="{{ item }}_amount"> 
                      
                      
                      {{ cart[item].amount }}
                    
                    
                    
                    </span>
                    <span
                      style="
                          font-size: 20px;
                        background-color: black;
                        color: white;
                        border-radius: 50px;
                        width: 37px;
                        height:36px;
                        text-align: center;
                        cursor: pointer;
                      "
                      onclick="decrementValue('{{ item }}')"
                    >
                      -
                    </span>
                  </div>
              </td>
              <td >
                <span id="{{ item }}_sum">{{ cart[item].pp*cart[item].amount }} </span>฿
              </td>
            </tr>
     
            {% endfor %}
            
  
    

            
          
        
        </table>
        <div>


        <table style="margin-bottom: 5%;padding-bottom: 5%;">
            <td style="width:25%;"> 

            </td>
            <td style="width:25%;">

            </td>
            <td style="width:25%;" id="txt">
                Subtotal
            </td>
            <td style="width:25%;" id="txt">
            <span id="total_cost">{{ total_cost }}</span> ฿
            </td>
        </table>
    </div>
      </div>
        {% else %}
        <h2 style="font-family:Century Gothic;font-weight: bold;font-size:40px;color:#707070;text-align: center;">No item in basket</h2>
      {% endif %}
     
      </div>

    </div>
  </body>
</html>
<script>
  function payment(){
  
    window.location = "/shop/basket/confirm";
  }

  function incrementValue(id){
    var amount = parseInt(document.getElementById(id+"_amount").innerHTML, 10);
    var pp = parseFloat(document.getElementById(id+"_pp").innerHTML);
    var total_cost = parseFloat(document.getElementById("total_cost").innerHTML);
    total_cost += pp
    document.getElementById("total_cost").innerHTML = parseFloat(total_cost).toFixed(2);
    amount++;
    document.getElementById(id+"_amount").innerHTML = amount;
    document.getElementById(id+"_sum").innerHTML = parseFloat(pp*amount).toFixed(2);
    const formData = new FormData();
    formData.append('id', id);
    formData.append('amount', amount);
    fetch('{{url_for("shop_list.update_basket")}}', {   // assuming the backend is hosted on the same server
        method: 'POST',
        body: formData,
    })
  }
  function decrementValue(id){
    var amount = parseInt(document.getElementById(id+"_amount").innerHTML, 10);
    var pp = parseFloat(document.getElementById(id+"_pp").innerHTML);
    var total_cost = parseFloat(document.getElementById("total_cost").innerHTML);
    if(amount > 0){
      total_cost -= pp
      amount--;
      document.getElementById("total_cost").innerHTML = parseFloat(total_cost).toFixed(2);
      document.getElementById(id+"_amount").innerHTML = amount;
      document.getElementById(id+"_sum").innerHTML = parseFloat(pp*amount).toFixed(2);
      const formData = new FormData();
      formData.append('id', id);
      formData.append('amount', amount);
      fetch('{{url_for("shop_list.update_basket")}}', {   // assuming the backend is hosted on the same server
        method: 'POST',
        body: formData,
    })
    }
  }
  function addToCart(){
    var value = parseInt(document.getElementById('number').innerHTML, 10);
    document.getElementById('amount').value = value;
    document.getElementById('add_to_cart_form').submit();
  }
</script>

project/templates/shop/bill.html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Oganikku</title>
    <!-- CSS only -->
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="stylesheet" href="{{ url_for('static', filename='css/bill.css') }}">

</head>
  <style>
   
  </style>
  <body style="background-color: #ECECEC">
    <div class="grid-container">
      <div>{% include 'sidebar.html' %}</div>

      <div style="height: min-content;padding-left: 2%;">
    
        <div class="head-content" style="padding-left: 5%;">
        <div>
            <span style="font-family:Century Gothic;font-weight: bold;font-size:40px;color:#707070;padding-left: 5%;"> Bills</span>
            <img src="{{url_for('static', filename = 'images/bill.png')}}" alt="" srcset=""  style="vertical-align: bottom;margin-left: -5%;width: 80px;height: 70px;">
        </div>
        <div style="padding-right: 10%;padding-top:20px;">
            Deliver Status   <span
            onclick="gotoDelivery()"
            style="background-color: white; padding: 9px; border-radius: 10px;cursor: pointer;" 
          >
            <img
              src="{{url_for('static', filename = 'images/right-arrow.png')}}"
              alt=""
              srcset=""
              style="width: 21px; height: 13px;"
            />
          </span>
        </div>
        
      </div>
   <div>
    
    {% if orders == [] %}
<h2 style="font-family:Century Gothic;font-weight: bold;font-size:40px;color:#707070;text-align: center;margin-top:5%;">No biil in store</h2>
    {% endif %}

    {% for order in orders %}
        <div class="card-bill-container">
            <table>
              
                <tr >
                    <td style="width: 70%;">
                        ID
                    </td>
                    <td>
                      {{ order.id }}
                    </td>
                </tr>
                <tr>
                    <td>
                        Delivery number
                    </td>
                    <td>
                      {{ order.tran_code }}
                    </td>
                </tr>
                <tr>
                    <td>
                        Date
                    </td>
                    <td>
                      {{ order.date }}
                    </td>
                </tr>
                <tr>
                    <td>
                        Account number
                    </td>
                    <td>
                      {{ order.user_id }}
                    </td>
                </tr>
           


            </table>
        </div>
        {% endfor %}
   </div>



     
      </div>

    </div>
  </body>
</html>
<script>

  function gotoDelivery(){
    window.location = "/shop/delivery"
  }
</script>

project/templates/shop/category_item_list.html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Oganikku</title>
    <!-- CSS only -->
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>

  </head>
  <style>
    .grid-container {
      display: grid;
      grid-template-columns: 23% 77%;
    }
    .no-outline:focus {
        outline: none;
   
      }
    .card-product {
      width: 350px;
      height: 450px;
      background-color: white;
      margin-left: 5%;
      border-radius: 15px;
    }
    .content-section{
      
      text-align: center;
      background-color: #ececec;
      opacity: 0.6;  
      border-radius: 13px;
      border: 1px solid #ececec;
    }
    .bg{
        background: url(static/images/testProduct.jpg);
    }
    .inp-product-form{
      display: flex;
      justify-content: space-between;
      padding-left: 20px;
      padding-right: 20px;
      
    }
    .inp-product-form-input{
      margin-right: 5px;
      padding: 5px;
      border-top-style: hidden;
      border-left-style: hidden;
      border-right-style: hidden;
    }
    .Filltype-container{
      padding-left: 20px;
      padding-right: 20px;
      font-size: 15px;
      margin-top: 10px;
    }
  </style>
  <body style="background-color: #ececec;overflow-x: hidden;">
    <div class="grid-container">
      <div>{% include 'sidebar.html' %}</div>
      <div
        style="
          background-color: #ececec;
        
          height: 100vh;
        "
      >
        <div class="head-section" style="margin-top: 4%; margin-left: 4%">
          <span onclick="backTomain()"
            style="background-color: white; padding: 9px; border-radius: 10px;cursor: pointer;"
          >
            <img
              src="{{url_for('static', filename = 'images/left-arrow.png')}}"
              alt=""
              srcset=""
              style="width: 21px; height: 13px; padding-left: 4px"
            />
          </span>
          <span
            style="
              padding-left: 10px;
              font-family: Century Gothic;
              font-size: 20px;
              font-weight: bold;
              color: #757575;
            "
          >
            {{item_type}}
          </span>
        </div>
        <div
          style="
            color: black;
            font-weight: bold;
            font-size: 35px;
            margin-left: 4%;
            margin-top: 4%;
          "
        >
        {{item_type}}
        {% if current_user.is_admin() %}
        <span style="">
          <!-- Button trigger modal -->
          <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">
            Add
          </button>

        </span>
        {% endif %}
        </div>
        <!-- Modal -->
        <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel" style="text-align: center;  font-family: Century Gothic;color: #7B7B7B;">Add Product</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
              </div>
              <form id="add_new_product_form" action="{{url_for('admin.add_new_product')}}" method="POST" enctype="multipart/form-data">
            
                <div class="modal-body">

              
                
                  <div class="inp-product-form">
                    <div style="padding-top: 5px;">
                      Product
                    </div>
                    <div >
                      <input
                      type="text"
                      name="name"
                      class="no-outline inp-product-form-input"
                      placeholder="Banana,Apple"
                      required
                    />
                    </div>
                  </div>

                  <div class="inp-product-form">
                    <div style="padding-top: 5px;">
                      price (Bath/KG)
                    </div>
                    <div >
                      <input
                      type="number"
                      name="price"
                      class="no-outline  inp-product-form-input"
                      value="1"
                      required
                    />
                    </div>
                  </div>


                  <div class="inp-product-form">
                    <div style="padding-top: 5px;">
                      Choose a type
                    </div>
                    <div >
                      <select id="cars" name="item_type" class=" inp-product-form-input" style="    
                     
                      width: 190px;
                     ;">
                      <option value="fruits">Fruits</option>
                      <option value="vegetables">Vegetables</option>
                      <option value="seasonal">Seasonal</option>
                      </select>
                    </div>
                  </div>

                  <hr style="background-color:#ececec ;height: 2px;padding-left: 20px;padding-right: 20px;">


                  <div class="Filltype-container">
                    <div style="font-size: 20px; margin-bottom: 2px;width: 100%;">Preview product</div>
                    <div>
                      <input
                      type="file"
                      name = "image_preview"
                      id="product_image_preview"
                      title=" "
                      required
                    />
                    </div>
                  </div>

              
                  <div class="Filltype-container">
                    <div style="font-size: 20px; margin-bottom: 2px;width: 100%;">Full image of product</div>
                    <div>
                      <input
                      type="file"
                      name = "image"
                      id="product_image"
                      title=" "
                      required
                    />
                    </div>
                  </div>

           
            
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                <input type="submit" class="btn btn-primary" value="Save changes">
              </div>
           
           
           
           
           
           
           
           
            </form>
            </div>
          </div>
        </div>

        <div style="margin-top: 1%; width: 100%">
          <div class="card-container">
            <div class="row" style="margin-top:2%;">
              {% for item in items %}
              <div class="col-sm-12 col-md-4" style="margin-top:2%;">
                
                <div class="card-product">
                  <a href="{{url_for('shop_list.get_item_by_id',item_id=item.id,item_type=item.item_type)}}">
                    <div class="bg" style="height: 450px;border-radius: 15px;position: relative; ">
                      <img src="{{url_for('static', filename = 'images/preview_product/'+item.preview_image)}}" alt="" srcset="" style="width: 100%;height: 100%;border-radius: 15px;">  
                            <div                            
                             class="content-section"  style="z-index: 200;position: absolute;top: 333px;left: 70px;width: 200px;"  >
                               
                              <h2 style="color: black; opacity: 1;text-transform: uppercase;">
                                    {{ item.name }}
                                </h2>
                                <div style="color:black; opacity: 1;">
                                  {{ item.price }}฿/KG.
                                </div>
                            </div>
                    </div>
                  </a>
                  </div>

              </div>
              {% endfor %}
            
            </div>

            
          </div>
        </div>
      </div>
    </div>
  </body>
</html>
<script>

  function backTomain(){
    window.location = "/";
  }
  function submit_new_item(){
    document.getElementById("add_new_product_form").submit();
  }
</script>